<?php
// Page contenant la verification de l'existance du login
/*
Copyright (C) 2007 Mercier Benjamin

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License along
with this program; if not, write to the Free Software Foundation, Inc.,
51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA. 
*/
function VerifDroit ()
	{
	global $MySql;
	if ( isset($_SESSION['Utilisateur']) && isset($_SESSION['Hash']) )
		{
		$SelectUtilisateur = $MySql->Select ("*", "utilisateur", "Utilisateur='".$_SESSION['Utilisateur']."'", "", "", "", "");
	
		if ( $SelectUtilisateur != FALSE )
			{
			if ( $SelectUtilisateur[0]["Password"] != $_SESSION['Hash'] )
				{
				//session_destroy ();
				Redirect ('http://www.kelio.org#s1');
				}	
			else
				{
				$UpdateInfo = $MySql->Update ("utilisateur", array("AdresseIP", "DernierLogin"), array($_SERVER['REMOTE_ADDR'], time()), "Utilisateur='".$_SESSION['Utilisateur']."'");
				}		
			}
		else
			{
			//session_destroy ();
			Redirect ('http://www.kelio.org#s2');
			}
		}
	else
		{
		//session_destroy ();
		Redirect ('http://www.kelio.org#s3');
		}
	}
	
function VerifProvenance ($Provenance)
	{
	if ( !preg_match("#".addslashes($Provenance)."#i", $_SERVER['HTTP_REFERER']) )
		{
		Redirect ('http://www.kelio.org#5');
		}
	}
?>